Date   

[espeak-ng:master] reported: add Direct Boot support for Android so espeak-ng can be used with TalkBack before the initial unlock #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Comment on Issue #917 add Direct Boot support for Android so espeak-ng can be used with TalkBack before the initial unlock
By PatrykMis:

It will be very important enhancement for blind FOSS community, GNU/GPL enthusiasts and promoting free software. Why? Because currently, there is no open source TTS which has this feature. For example, as a blind human beeing, currently I'm using Lineage with MicroG+Talkback (my plan is to move to GrapheneOS) built from source and I can't (and don't want to) use Google Text-To-Speech, mainly because it is closed proprietary software. So my biggest issue is when I boot my OS and require sighted assistance to enter my pin and then TTS starts.


Updates to Github #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Comment on Issue #285 Typing interrupt doesn't work when using espeakup with espeak-ng
By valdisvi:

@am-dxer, as per comment of @alex19EP, I'm closing this issue. If you can reproduce it, you can open it again.


[espeak-ng:master] Issue #285 Typing interrupt doesn't work when using espeakup with espeak-ng closed by am-dxer.


[espeak-ng:master] new issue: Android: Espeak language intermittently changes to US English even with system/Espeak language set to UK #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Issue Created by codeofdusk:
#970 Android: Espeak language intermittently changes to US English even with system/Espeak language set to UK

When navigating the system using Espeak with TalkBack (both Espeak and system language set to UK English), Espeak suddenly and intermittently changes to US English. Opening TTS settings without making any other changes causes Espeak to switch back to UK.

I can reproduce this both in a source build of ab11439 and in the 1.48 Play Store version.


[espeak-ng:master] reported: Espeak for Android: application speech rate overrides system settings #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Comment on Issue #969 Espeak for Android: application speech rate overrides system settings
By codeofdusk:

No, because the old commits (1.48.x) require old Java versions that are no longer in Debian. The play store version has not been updated in a very long while!


[espeak-ng:master] reported: New release of espeak #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Comment on Issue #857 New release of espeak
By seanbudd:

Hi again,

Over at nvaccess/nvda we have now started our 2021.2 release process, and we've updated the version of espeak-ng again for testing on alpha. We would love it if we can use a new release of espeak when we finalise 2021.2. Especially if we can confirm the latest commit has #950 fixed.


Updates to Github #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Comment on Issue #857 New release of espeak
By seanbudd:

Hi again,

Over at nvaccess/nvda we have now started our 2021.2 release process, and we've updated the version of espeak-ng again for testing on alpha. We would love it if we can use a new release of espeak when we finalise 2021.2. Especially if we can confirm the latest commit with #950 fixed.


[espeak-ng:master] New Comment on Issue #857 New release of espeak
By seanbudd:

We are using espeak commit aafd2e720582d7ccdadef675ce656903bc775c1d for our 2021.1 release.


[espeak-ng:master] New Comment on Issue #857 New release of espeak
By seanbudd:

We are using espeak commit aafd2e720582d7ccdadef675ce656903bc775c1d for our 2021.1 release (same as 2020.4).


Updates to Github #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Comment on Issue #463 still overlapping speech with espeak-ng
By alex19EP:

I think this can be closed.


[espeak-ng:master] New Comment on Issue #285 Typing interrupt doesn't work when using espeakup with espeak-ng
By alex19EP:

should we close this?

cannot reproduce on latest espeakup in Arch Llinux.


[espeak-ng:master] reported: Espeak for Android: application speech rate overrides system settings #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Comment on Issue #969 Espeak for Android: application speech rate overrides system settings
By jaacoppi:

Can you do a git bisect to see which commit changes this behavior?


[espeak-ng:master] new issue: Espeak for Android: application speech rate overrides system settings #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Issue Created by codeofdusk:
#969 Espeak for Android: application speech rate overrides system settings

I've built the latest commit (ab11439) for Android. In the @rhdunn Google Play version, the Espeak speech rate scaled the system rate, such that TalkBack could dynamically adjust the rate and rates well in excess of 450 WPM were possible. This latest build, however, forces Espeak's rate to the value set in Espeak preferences.

An option should be added to "force speaking rate to Espeak preference" to use this new behaviour (perhaps enable by default, but allow a user option for the system to control the rate as with 1.49). Failing that, the 1.49 behaviour should be restored.


Updates to Github #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng/espeak-ng] Pull request closed by jaacoppi:

#959 add cmn and yue to the .gitignore


2 New Commits:

[espeak-ng:master] By Alexander Epaneshnikov <aarnaarn2@...>:
66d7f0de9c83: add cmn and yue to the .gitignore

Modified: .gitignore


[espeak-ng:master] By jaacoppi <jaacoppi@...>:
ab11439b1823: Merge pull request #959

add cmn and yue to the .gitignore

Modified: .gitignore


[espeak-ng:master] New Comment on Pull Request #959 add cmn and yue to the .gitignore
By jaacoppi:

Sorry for the delay and thanks for the commit!


[espeak-ng:master] New Comment on Pull Request #929 revert faulty code cleanup commit to fix garbled text in some cases
By jaacoppi:

Reverted in 289d9d865


[espeak-ng/espeak-ng] Pull request closed by jaacoppi:

#929 revert faulty code cleanup commit to fix garbled text in some cases

As discussed in #915 commit c0ff3696b950a0fce6fd7e08f9b707969f046e4b causes Latin text to be mispronounced after Javanese or Cyrillic characters are read. While it is not entirely clear why this happens it has been decided that reverting faulty code cleanup is the best course of action for now. cc @jaacoppi . I've tested this only under Windows with VS 2019 as the build environment and I can confirm this revert fixes the issue for me.


[espeak-ng:master] New Comment on Issue #964 i found one issue in new espeak which is available in nvda 2021.1 beta2 with persian language
By jaacoppi:

What is "persian kama"? Can you write an example sentence with expected output?


[espeak-ng:master] reported: add cmn and yue to the .gitignore #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Comment on Pull Request #959 add cmn and yue to the .gitignore
By alex19EP:

@jaacoppi can you merge this?


Pull Request Updated #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng/espeak-ng] Pull request updated by Min4sT1r1th:

#968 fix conditional for GRADLE

without this fix (assuming it does, what the original author intended to check for), the configure script spits out an error:

checking for ndk-build no checking for gradle no ${_source}/configure: line 13806: 0: command not found checking if zsp-gcc supports C99 without any flags yes checking if zsp-gcc supports C99 with the -std=c99 flag yes

that's because the condition in AM_CONDITIONAL is expected to be a valid shell expression for an if-statement, not just plain value:

{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for gradle" >&5 printf %s "checking for gradle... " >&6; } if test -e ${GRADLE} ; then { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: ${GRADLE}" >&5 printf "%s\n" "${GRADLE}" >&6; } if 1; then HAVE_GRADLE_TRUE= HAVE_GRADLE_FALSE='#' else HAVE_GRADLE_TRUE='#' HAVE_GRADLE_FALSE= fi

else { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5 printf "%s\n" "no" >&6; } if 0; then HAVE_GRADLE_TRUE= HAVE_GRADLE_FALSE='#' else HAVE_GRADLE_TRUE='#' HAVE_GRADLE_FALSE= fi

fi


Pull Request Updated #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng/espeak-ng] Pull request updated by Min4sT1r1th:

#968 fix conditional for GRADLE

without this fix (assuming it does, what the original author intended to check for), the configure script spits out an error:

checking for ndk-build no checking for gradle no ${_source}/configure: line 13806: 0: command not found checking if zsp-gcc supports C99 without any flags yes checking if zsp-gcc supports C99 with the -std=c99 flag yes

that's because the condition in AM_CONDITIONAL is expected to be a valid shell expression for an if-statement, not just plain value:

{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for gradle" >&5 printf %s "checking for gradle... " >&6; } if test -e ${GRADLE} ; then { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: ${GRADLE}" >&5 printf "%s\n" "${GRADLE}" >&6; } if 1; then HAVE_GRADLE_TRUE= HAVE_GRADLE_FALSE='#' else HAVE_GRADLE_TRUE='#' HAVE_GRADLE_FALSE= fi

else { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5 printf "%s\n" "no" >&6; } if 0; then HAVE_GRADLE_TRUE= HAVE_GRADLE_FALSE='#' else HAVE_GRADLE_TRUE='#' HAVE_GRADLE_FALSE= fi

fi


Pull Request Opened #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng/espeak-ng] Pull request opened by Min4sT1r1th:

#968 fix conditional for GRADLE

without this fix (assuming it does, what the original author intended to check for), the configure script spits out an error:

checking for ndk-build no checking for gradle no ${_source}/configure: line 13806: 0: command not found checking if zsp-gcc supports C99 without any flags yes checking if zsp-gcc supports C99 with the -std=c99 flag yes

that's because the condition in AM_CONDITIONAL is expected to be a valid shell expression for an if-statement, not just plain value:

{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for gradle" >&5 printf %s "checking for gradle... " >&6; } if test -e ${GRADLE} ; then { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: ${GRADLE}" >&5 printf "%s\n" "${GRADLE}" >&6; } if 1; then HAVE_GRADLE_TRUE= HAVE_GRADLE_FALSE='#' else HAVE_GRADLE_TRUE='#' HAVE_GRADLE_FALSE= fi

else { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5 printf "%s\n" "no" >&6; } if 0; then HAVE_GRADLE_TRUE= HAVE_GRADLE_FALSE='#' else HAVE_GRADLE_TRUE='#' HAVE_GRADLE_FALSE= fi

fi


[espeak-ng:master] reported: sapi5 executable windows installer #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Comment on Issue #966 sapi5 executable windows installer
By joshknnd1982:

yes I do know how to create a speak variance. I will have to experiment with those first and I may not even need to modify the speech player engine itself.

On Jun 14, 2021, at 14:02, hozosch @.***> wrote:

 Don't you know how to create ESpeak variants? If you mean adjusting things in the Speech Player engine itself though, I can't help you with that either.

— You are receiving this because you authored the thread. Reply to this email directly, view it on GitHub, or unsubscribe.


Updates to Github #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Comment on Issue #966 sapi5 executable windows installer
By joshknnd1982:

what file or files do I need to modify in order to change the formants?

On Jun 14, 2021, at 13:51, hozosch @.***> wrote:

 Yes, it's the formants you need to modify for the sound of the voice, not for the intonation though.

— You are receiving this because you authored the thread. Reply to this email directly, view it on GitHub, or unsubscribe.


[espeak-ng:master] New Comment on Issue #966 sapi5 executable windows installer
By hozosch:

Don't you know how to create ESpeak variants? If you mean adjusting things in the Speech Player engine itself though, I can't help you with that either.


Updates to Github #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Comment on Issue #966 sapi5 executable windows installer
By joshknnd1982:

and what do I need to edit in order to modify how the clot voices sound? klatt voice formants

On Jun 14, 2021, at 11:05, hozosch @.***> wrote:

 On windows 10, you need to run Espeakedit as admin for the compiling to work.

— You are receiving this because you authored the thread. Reply to this email directly, view it on GitHub, or unsubscribe.


[espeak-ng:master] New Comment on Issue #966 sapi5 executable windows installer
By hozosch:

Yes, it's the formants you need to modify for the sound of the voice, not for the intonation though.


Updates to Github #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Comment on Issue #966 sapi5 executable windows installer
By joshknnd1982:

I found a version of speech player in espeak in which sapi5 works very good but it is only 32bit. No matter what I try, I must be doing something wrong because I cannot apply new tunes or intonations statements to its intonation file. This espeak is at:

https://grossgang.com/tts/speechPlayer%20in%20espeak/setup_espeak.exe

Sent from Mail for Windows 10

From: Sukil Etxenike Sent: Monday, June 14, 2021 10:53 To: espeak-ng/espeak-ng Cc: joshknnd1982; Author Subject: Re: [espeak-ng/espeak-ng] sapi5 executable windows installer (#966)

Yes, there is, though SAPI won't work properly. — You are receiving this because you authored the thread. Reply to this email directly, view it on GitHub, or unsubscribe.


[espeak-ng:master] New Comment on Issue #966 sapi5 executable windows installer
By joshknnd1982:

contents of new intonations file pasted below and voice variant is below that… But it is not working the new tunes statements are ignored after being compiled with espeakedit, no confirmation of successful compile is given.

tune s5 prehead 70 70 headenv fall 20 head 70 60 70 55 50 headextend 50 55 65 55 40 nucleus0 fall 70 50 nucleus fall 70 65 60 40 endtune

tune c5 prehead 60 70 headenv fall 20 head 60 65 70 60 55 headextend 50 60 65 65 40 nucleus0 fall-rise 60 70 nucleus fall-rise2 70 50 60 65 endtune

tune q5 prehead 65 65 headenv fall 5 head 50 55 65 70 75 headextend 55 60 65 70 50 nucleus0 fall-rise 60 80 nucleus fall-rise2 55 65 70 75 endtune

tune e5 prehead 60 70 headenv fall 10 head 50 55 65 75 50 headextend 45 55 70 70 50 nucleus0 fall 70 50 nucleus fall 70 60 55 50 endtune

variant file for grossGang sapi5 espeak…

language variant name testvoice klatt 5 voicing 100 consonants 90 90

formant 1 92 100 130 formant 2 103 100 80 formant 3 103 100 70 formant 4 114 100 60

tunes s5 c5 q5 e5

Sent from Mail for Windows 10

From: Sukil Etxenike Sent: Monday, June 14, 2021 10:53 To: espeak-ng/espeak-ng Cc: joshknnd1982; Author Subject: Re: [espeak-ng/espeak-ng] sapi5 executable windows installer (#966)

Yes, there is, though SAPI won't work properly. — You are receiving this because you authored the thread. Reply to this email directly, view it on GitHub, or unsubscribe.


[espeak-ng:master] New Comment on Issue #966 sapi5 executable windows installer
By joshknnd1982:

I want to play with klatt parameters to make child voices, brighter or more dull voices with more or less trebble and bass, increase and decrease headSize etcetera. Modding tunes statements will let me make Espeak simulate the speaking style of other tts engines such as decTalk and Keynote gold and doubletalk.

Sent from Mail for Windows 10

From: Sukil Etxenike Sent: Monday, June 14, 2021 10:53 To: espeak-ng/espeak-ng Cc: joshknnd1982; Author Subject: Re: [espeak-ng/espeak-ng] sapi5 executable windows installer (#966)

Yes, there is, though SAPI won't work properly. — You are receiving this because you authored the thread. Reply to this email directly, view it on GitHub, or unsubscribe.


[espeak-ng:master] New Comment on Issue #966 sapi5 executable windows installer
By hozosch:

On windows 10, you need to run Espeakedit as admin for the compiling to work.


[espeak-ng:master] reported: sapi5 executable windows installer #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Comment on Issue #966 sapi5 executable windows installer
By sukiletxe:

Yes, there is, though SAPI won't work properly.


[espeak-ng:master] new issue: modifying the intonations file #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Issue Created by joshknnd1982:
#967 modifying the intonations file

Could you please explain, or make an easy way for people to modify and add tunes statements to the espeak-ng intonations file? along with a clear explanation or easy way for the user to modify parameters of the klatt voices to make their own new klatt voices such as brighter or duller-tone voices, female, child and other types of voices? I want to try to make espeak emulate the speaking style of other TTS engines I have used in the early to mid 1990s but I need an explanation of how to modify and apply new tunes statements to voice variants, and also how to modify klatt voice parameters. thanks. Please if possible make a small windows application that gives access to such features once the sapi5 espeak-ng is installed. thanks.

341 - 360 of 4643